Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ModifyDialogTabPage.ComboPreference

- java.lang.Object
- - java.util.Observable
  - - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference
    - - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.ComboPreference

Enclosing class:
  ModifyDialogTabPage

    protected final class ModifyDialogTabPage.ComboPreference
    extends ModifyDialogTabPage.Preference

Wrapper around a Combo box.

### Constructor Summary

Constructors
`ComboPreference​(org.eclipse.swt.widgets.Composite composite, int numColumns, java.util.Map<java.lang.String,​java.lang.String> preferences, java.lang.String key, java.lang.String[] values, java.lang.String text, java.lang.String[] items)` Create a new ComboPreference.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `comboSelected​(int index)`
`org.eclipse.swt.widgets.Control` `getControl()` Returns the main control of a preference, which is mainly used to manage the focus.
`java.lang.String` `getSelectedItem()`
`boolean` `hasValue​(java.lang.String value)`
`protected void` `updateWidget()` To be implemented in subclasses.

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference

`getEnabled, getKey, getPreferences, setEnabled, setKey`

### Methods inherited from class java.util.Observable

`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComboPreference

    public ComboPreference​(org.eclipse.swt.widgets.Composite composite,
                           int numColumns,
                           java.util.Map<java.lang.String,​java.lang.String> preferences,
                           java.lang.String key,
                           java.lang.String[] values,
                           java.lang.String text,
                           java.lang.String[] items)

Create a new ComboPreference.

Parameters:
  `composite` - The composite on which the SWT widgets are added.
  `numColumns` - The number of columns in the composite's GridLayout.
  `preferences` - The map to store the values.
  `key` - The key to store the values.
  `values` - An array of n elements indicating the values to store for each selection.
  `text` - The label text for this Preference.
  `items` - An array of n elements indicating the text to be written in the combo box.

### Method Detail

#### comboSelected

    protected void comboSelected​(int index)

#### updateWidget

    protected void updateWidget()

Description copied from class: `ModifyDialogTabPage.Preference`
To be implemented in subclasses. Update the SWT widgets when the state of this object has changed (enabled, key, ...).

Specified by:
  `updateWidget` in class `ModifyDialogTabPage.Preference`

#### getSelectedItem

    public java.lang.String getSelectedItem()

#### hasValue

    public boolean hasValue​(java.lang.String value)

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Description copied from class: `ModifyDialogTabPage.Preference`
Returns the main control of a preference, which is mainly used to manage the focus. This may be `null` if the preference doesn't have a control which is able to have the focus.

Specified by:
  `getControl` in class `ModifyDialogTabPage.Preference`
Returns:
  The main control